## ESelectable ESelectable |

## Functions

void | e_selectable_update_actions ()
void | e_selectable_cut_clipboard ()
void | e_selectable_copy_clipboard ()
void | e_selectable_paste_clipboard ()
void | e_selectable_delete_selection ()
void | e_selectable_select_all ()
void | e_selectable_undo ()
void | e_selectable_redo ()
GtkTargetList * | e_selectable_get_copy_target_list ()
GtkTargetList * | e_selectable_get_paste_target_list ()

## Description

## Functions

### e_selectable_update_actions ()

    void
    e_selectable_update_actions (ESelectable *selectable,
                                 EFocusTracker *focus_tracker,
                                 GdkAtom *clipboard_targets,
                                 gint n_clipboard_targets);

`e_selectable_update_actions` is deprecated and should not be used in newly-written code.

### e_selectable_cut_clipboard ()

    void
    e_selectable_cut_clipboard (ESelectable *selectable);

`e_selectable_cut_clipboard` is deprecated and should not be used in newly-written code.

### e_selectable_copy_clipboard ()

    void
    e_selectable_copy_clipboard (ESelectable *selectable);

`e_selectable_copy_clipboard` is deprecated and should not be used in newly-written code.

### e_selectable_paste_clipboard ()

    void
    e_selectable_paste_clipboard (ESelectable *selectable);

`e_selectable_paste_clipboard` is deprecated and should not be used in newly-written code.

### e_selectable_delete_selection ()

    void
    e_selectable_delete_selection (ESelectable *selectable);

`e_selectable_delete_selection` is deprecated and should not be used in newly-written code.

### e_selectable_select_all ()

    void
    e_selectable_select_all (ESelectable *selectable);

`e_selectable_select_all` is deprecated and should not be used in newly-written code.

### e_selectable_undo ()

    void
    e_selectable_undo (ESelectable *selectable);

`e_selectable_undo` is deprecated and should not be used in newly-written code.

### e_selectable_redo ()

    void
    e_selectable_redo (ESelectable *selectable);

`e_selectable_redo` is deprecated and should not be used in newly-written code.

### e_selectable_get_copy_target_list ()

    GtkTargetList *
    e_selectable_get_copy_target_list (ESelectable *selectable);

`e_selectable_get_copy_target_list` is deprecated and should not be used in newly-written code.

### e_selectable_get_paste_target_list ()

    GtkTargetList *
    e_selectable_get_paste_target_list (ESelectable *selectable);

`e_selectable_get_paste_target_list` is deprecated and should not be used in newly-written code.

## Types and Values